package com.bizmatics.persistence.mapper;

import com.bizmatics.common.mvc.base.CrudMapper;
import com.bizmatics.model.DeviceAnalogVariableList;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 设备变量列表 Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2021-09-24
 */
public interface DeviceAnalogVariableListMapper extends CrudMapper<DeviceAnalogVariableList> {
    List<DeviceAnalogVariableList> variableList(@Param("siteId") Integer siteId,
                                                @Param("id") Integer id,
                                                @Param("deviceCode") String deviceCode,
                                                @Param("deviceType") Integer deviceType,
                                                @Param("screen") String screen,
                                                @Param("startCurrent") Integer startCurrent,
                                                @Param("current") Integer current);
}
