package com.bizmatics.persistence.mapper;

import com.bizmatics.model.Device;
import com.bizmatics.model.DeviceAttribute;
import com.bizmatics.common.mvc.base.CrudMapper;
import com.bizmatics.model.vo.DeviceAttributeVo;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 设备属性 Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2021-09-24
 */
public interface DeviceAttributeMapper extends CrudMapper<DeviceAttribute> {

    List<DeviceAttributeVo> deviceList(@Param("deviceCode") String deviceCode,
                                       @Param("id") Integer id,
                                       @Param("siteId") Integer siteId,
                                       @Param("deviceType") Integer deviceType);
}
